package com.chilunyc.fumao.common.aop.retry;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 *
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Retry {

    String scene() default "";

    /**
     * 最大次数
     * @return
     */
    int maxTimes() default 3;
}
