package com.chilunyc.fumao.common.db.datasource;


/**
 *  on 2018/7/26.
 */
public final class DynamicDataSourceHolder {

    private static final ThreadLocal<String> dbNameMap = new ThreadLocal<>();

    public static void set(String dbName) {
        dbNameMap.set(dbName);
    }

    public static String get() {
        return dbNameMap.get();
    }

    public static void remove() {
        dbNameMap.remove();
    }
}
