package com.chilunyc.fumao.common.request;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

/**
 *
 */
@ApiModel
@Data
public class LoginRequestWithSMS extends LoginRequest {

    @ApiModelProperty(value = "短信验证码")
    @NotBlank(message = "请输入短信验证码")
    private String code;

}
