package com.chilunyc.fumao.common.util.http.service.result;

import com.chilunyc.fumao.common.util.http.service.HttpException;
import okhttp3.Request;
import okhttp3.Response;
import org.springframework.util.StopWatch;

import java.io.IOException;

/**
 * 80347471@qq.com
 */
public class StringResultExecute implements ResultExecute<String> {


    @Override
    public String toBody(Response response, Request request, StopWatch stopWatch) throws IOException {
        switch (response.code()){
            case 200:
                return response.body().string();
            default:
                throw HttpException.make(response.code() + " ==> " + response.body().string(), request, stopWatch);
        }
    }
}
