package com.chilunyc.fumao.company.request.companyAdmin;

import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.lang.Long;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.Long;
import java.util.Date;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CompanyAdminEditRequest {

    private Long id;

    @NotBlank(message = "请输入名称")
    @ApiModelProperty(value = "名称")
    private String name;

    @Pattern(regexp = "[\\w\\d]{6,18}", message = "请输入6-18位密码")
    @ApiModelProperty(value = "密码")
    private String password;

    @Pattern(regexp = "1[\\d]{10}", message = "请输入11位手机号")
    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "集团")
    private Long companyId;
}
