package com.chilunyc.fumao.company.request.shopApply;

import org.hibernate.validator.constraints.*;

import javax.validation.constraints.*;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.lang.Long;
import java.lang.String;
import java.lang.String;
import java.lang.String;
import java.lang.String;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ShopApplyEditRequest {

    private String id;


    @NotBlank(message = "请输入商铺名称")
    @ApiModelProperty(value = "商铺名称")
    private String name;

    @NotBlank(message = "请输入申请人")
    @ApiModelProperty(value = "申请人")
    private String proposer;

    @Pattern(regexp = "1[\\d]{10}", message = "请输入11位手机号")
    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "备注")
    private String market;
}
