package com.chilunyc.fumao.place.repository;

import com.chilunyc.fumao.place.model.Customer;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.Date;
import java.util.List;

/**
*
*/
public interface CustomerRepository extends JpaRepository<Customer, Long>, JpaSpecificationExecutor<Customer> {

    Customer findByMobile(String mobile);

    boolean existsByMobile(String mobile);

    Long countByCreateTimeAfter(Date date);
}
