package com.chilunyc.fumao.place.request.coupon;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryItem;
import com.chilunyc.fumao.common.util.jpa.query.QueryType;
import com.chilunyc.fumao.common.util.jpa.query.SortItem;
import com.chilunyc.fumao.common.util.jpa.query.SortItems;
import com.chilunyc.fumao.place.model.enums.CouponKind;
import com.chilunyc.fumao.place.model.enums.CouponStatus;
import lombok.Data;

import java.util.List;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class CouponPageRequest extends PageRequest {


    @QueryItem(type = QueryType.equal)
    private CouponKind kind;

    @QueryItem(type = QueryType.equal)
    private CouponStatus status;

    @QueryItem(type = QueryType.in, column = "status")
    private List<CouponStatus> statusList;
}
