package com.chilunyc.fumao.place.request.couponChannel;

import com.chilunyc.fumao.place.model.enums.CouponPutWay;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class CouponChannelEditRequest {

    @ApiModelProperty(value = "优惠卷")
    @Size(min = 1, message = "请选择投放的优惠券")
    private List<Long> couponIdList;

    @ApiModelProperty(value = "渠道")
    @NotNull(message = "请选择投放的渠道")
    private CouponPutWay channel;

    @ApiModelProperty(value = "商场")
    private Long placeId;

}
