package com.chilunyc.fumao.place.request.customer;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryItem;
import com.chilunyc.fumao.common.util.jpa.query.QueryType;
import com.chilunyc.fumao.common.util.jpa.query.SortItem;
import com.chilunyc.fumao.common.util.jpa.query.SortItems;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class CustomerPageRequest extends PageRequest {

    @ApiModelProperty(value = "名称")
    @QueryItem(type = QueryType.like)
    private String name;

    @ApiModelProperty(value = "手机号")
    @QueryItem(type = QueryType.like)
    private String mobile;
}
