package com.chilunyc.fumao.place.request.merchant;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class MerchantPageRequest extends PageRequest {

    @ApiModelProperty(value = "名称")
    @QueryItem(type = QueryType.like)
    private String name;

    @ApiModelProperty(value = "联系方式")
    @QueryItem(type = QueryType.like)
    private String mobile;

    @QueryItem(join = QueryJoinType.Inner, column = "shopList.number", type = QueryType.equal)
    private String number;
}
