package com.chilunyc.fumao.place.request.shop;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryItem;
import com.chilunyc.fumao.common.util.jpa.query.QueryType;
import com.chilunyc.fumao.common.util.jpa.query.SortItem;
import com.chilunyc.fumao.common.util.jpa.query.SortItems;
import lombok.Data;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class ShopPageRequest extends PageRequest {

    @QueryItem(type = QueryType.like)
    private String number;

    @QueryItem(type = QueryType.equal)
    private Long placeId;

    @QueryItem(type = QueryType.equal)
    private Long merchantId;
}
