package com.chilunyc.fumao.bi.request.scenePv;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryItem;
import com.chilunyc.fumao.common.util.jpa.query.QueryType;
import com.chilunyc.fumao.common.util.jpa.query.SortItem;
import com.chilunyc.fumao.common.util.jpa.query.SortItems;
import lombok.Data;

import java.util.Date;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class ScenePvPageRequest extends PageRequest {

    @QueryItem(type = QueryType.betweenDate, column = "createTime")
    private Date[] timeRange;
}
