package com.chilunyc.fumao.bi.service;

import com.chilunyc.fumao.bi.model.ClientPv;
import com.chilunyc.fumao.bi.repository.ClientPvRepository;
import com.chilunyc.fumao.bi.request.clientPv.ClientPvPageRequest;
import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.util.BeanHelper;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class ClientPvService {


    @Autowired
    private ClientPvRepository clientPvRepository;

    @Autowired
    private EventService eventService;

    public Page<ClientPv> page(ClientPvPageRequest request) {
        return clientPvRepository.findAll(QueryBuilder.build(request), request.getPage());
    }


    public ClientPv find(Long id) {
        ClientPv one = clientPvRepository.findOne(id);
        return one;
    }





}
