package com.chilunyc.fumao.bi.service;

import com.chilunyc.fumao.bi.model.CouponPv;
import com.chilunyc.fumao.bi.repository.CouponPvRepository;
import com.chilunyc.fumao.bi.request.couponPv.CouponPvPageRequest;
import com.chilunyc.fumao.common.context.RequestHolder;
import com.chilunyc.fumao.common.log.model.EventTarget;
import com.chilunyc.fumao.common.log.model.EventType;
import com.chilunyc.fumao.common.log.service.EventService;
import com.chilunyc.fumao.common.request.IdsRequest;
import com.chilunyc.fumao.common.util.BeanHelper;
import com.chilunyc.fumao.common.util.jpa.query.QueryBuilder;
import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 */
@Log4j
@Service
@Transactional
public class CouponPvService {


    @Autowired
    private CouponPvRepository couponPvRepository;

    @Autowired
    private EventService eventService;

    public Page<CouponPv> page(CouponPvPageRequest request) {
        return couponPvRepository.findAll(QueryBuilder.build(request), request.getPage());
    }


    public CouponPv find(Long id) {
        CouponPv one = couponPvRepository.findOne(id);
        return one;
    }





}
