package com.chilunyc.fumao.common.upload.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 *
 */
@Data
@ConfigurationProperties("aliyun.oss")
public class UploadProperties {

    private String accessId;

    private String accessKey;

    private String endPoint;

    private String bucket;


    public String getHost() {
        return String.format("https://%s.%s", bucket, endPoint);
    }
}
