package com.chilunyc.fumao.company.repository;

import com.chilunyc.fumao.company.model.PlaceAdminPermission;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
*
*/
public interface PlaceAdminPermissionRepository extends JpaRepository<PlaceAdminPermission, Long>, JpaSpecificationExecutor<PlaceAdminPermission> {

    void deleteByPlaceAdminId(Long id);

    List<PlaceAdminPermission> findByPlaceAdminId(Long placeAdminId);
}
