package com.chilunyc.fumao.company.repository;

import com.chilunyc.fumao.company.model.PlaceFloor;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
*
*/
public interface PlaceFloorRepository extends JpaRepository<PlaceFloor, Long>, JpaSpecificationExecutor<PlaceFloor> {

    List<PlaceFloor> findByPlaceId(Long marketId);

    boolean existsByPlaceId(Long marketId);

}
