package com.chilunyc.fumao.company.request.placeAdmin;

import com.chilunyc.fumao.company.model.PlaceAdminPermission;
import com.chilunyc.fumao.company.model.enums.PlaceAdminType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 *
 */
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class PlaceAdminEditRequest {

    private Long id;

    @ApiModelProperty(value = "名称")
    private String name;

    private Long companyId;

    private Long placeId;

    private PlaceAdminType type;

    private List<PlaceAdminPermission> permissionList;
}
