package com.chilunyc.fumao.place.request.trade;

import org.hibernate.validator.constraints.*;
import javax.validation.constraints.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.lang.Long;
import java.lang.Long;
import java.lang.Long;
import java.lang.Double;
import java.lang.String;
import java.lang.Double;
import java.lang.String;
import java.util.Date;

/**
*
*/
@ApiModel
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class TradeEditRequest {

    private Long id;

    @ApiModelProperty(value = "优惠券")
    private Long couponId;

    @ApiModelProperty(value = "客户")
    private Long customerId;

    @ApiModelProperty(value = "金额")
    private Double requireAmount;

    @ApiModelProperty(value = "优惠券名称")
    private String couponName;

    @ApiModelProperty(value = "面额")
    private Double amount;
}
