package com.chilunyc.fumao.place.request.trade;

import com.chilunyc.fumao.common.request.PageRequest;
import com.chilunyc.fumao.common.util.jpa.query.QueryItem;
import com.chilunyc.fumao.common.util.jpa.query.QueryType;
import com.chilunyc.fumao.common.util.jpa.query.SortItem;
import com.chilunyc.fumao.common.util.jpa.query.SortItems;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 */
@SortItems({
        @SortItem(column = "createTime")
})
@Data
public class TradePageRequest extends PageRequest {

    @ApiModelProperty(value = "优惠券名称")
    @QueryItem(type = QueryType.equal)
    private String couponName;

    @ApiModelProperty(value = "状态")
    @QueryItem(type = QueryType.equal)
    private String status;

    @QueryItem(type = QueryType.equal)
    private String customerId;
}
